<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Predictores de saltos, IE-0521: Fichero Fuente include/privado.hpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Predictores de saltos, IE-0521
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generado por Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Buscar');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Buscar');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">privado.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#ifndef PRIVADO_H</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#define PRIVADO_H</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#include &quot;predictor.hpp&quot;</span></div><div class="line"><a name="l00008"></a><span class="lineno"><a class="line" href="classprivado.html">    8</a></span>&#160;<span class="keyword">class </span><a class="code" href="classprivado.html">privado</a>: <span class="keyword">public</span> <a class="code" href="classpredictor.html">predictor</a>{</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00013"></a><span class="lineno"><a class="line" href="classprivado.html#a0b7756aa688136d470df339fd6f332c0">   13</a></span>&#160;    <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>* <a class="code" href="classprivado.html#a0b7756aa688136d470df339fd6f332c0">bht</a>;</div><div class="line"><a name="l00017"></a><span class="lineno"><a class="line" href="classprivado.html#a318cfc68791c2cc7e79ff5558ee8bbb0">   17</a></span>&#160;    <span class="keywordtype">int</span> <a class="code" href="classprivado.html#a318cfc68791c2cc7e79ff5558ee8bbb0">bht_tamano</a>;</div><div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="classprivado.html#a120a4945bce138447685a71dcf14312f">   22</a></span>&#160;    <span class="keywordtype">int</span> <a class="code" href="classprivado.html#a120a4945bce138447685a71dcf14312f">bht_mask</a>;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;    <span class="keywordtype">char</span> <a class="code" href="classprivado.html#a0a79bcb1844cc17366ff5e4d3ae36307">prediccion</a>(<span class="keywordtype">long</span> progctr,<span class="keywordtype">char</span> decision);</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    <a class="code" href="classprivado.html">privado</a>(<span class="keywordtype">int</span> s, <span class="keywordtype">int</span> ph);</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;    <a class="code" href="classprivado.html">privado</a>(){};</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;    ~<a class="code" href="classprivado.html">privado</a>();</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;};</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="classpredictor_html"><div class="ttname"><a href="classpredictor.html">predictor</a></div><div class="ttdef"><b>Definition:</b> predictor.hpp:11</div></div>
<div class="ttc" id="classprivado_html_a0b7756aa688136d470df339fd6f332c0"><div class="ttname"><a href="classprivado.html#a0b7756aa688136d470df339fd6f332c0">privado::bht</a></div><div class="ttdeci">unsigned int * bht</div><div class="ttdef"><b>Definition:</b> privado.hpp:13</div></div>
<div class="ttc" id="classprivado_html"><div class="ttname"><a href="classprivado.html">privado</a></div><div class="ttdef"><b>Definition:</b> privado.hpp:8</div></div>
<div class="ttc" id="classprivado_html_a318cfc68791c2cc7e79ff5558ee8bbb0"><div class="ttname"><a href="classprivado.html#a318cfc68791c2cc7e79ff5558ee8bbb0">privado::bht_tamano</a></div><div class="ttdeci">int bht_tamano</div><div class="ttdef"><b>Definition:</b> privado.hpp:17</div></div>
<div class="ttc" id="classprivado_html_a120a4945bce138447685a71dcf14312f"><div class="ttname"><a href="classprivado.html#a120a4945bce138447685a71dcf14312f">privado::bht_mask</a></div><div class="ttdeci">int bht_mask</div><div class="ttdef"><b>Definition:</b> privado.hpp:22</div></div>
<div class="ttc" id="classprivado_html_a0a79bcb1844cc17366ff5e4d3ae36307"><div class="ttname"><a href="classprivado.html#a0a79bcb1844cc17366ff5e4d3ae36307">privado::prediccion</a></div><div class="ttdeci">char prediccion(long progctr, char decision)</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generado por &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
